# Uses of Class
javafx.scene.control.TreeTableColumn.CellDataFeatures

Packages that use TreeTableColumn.CellDataFeatures
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.cell
The `javafx.scene.control.cell` package is where all cell-related classes are located, other than the core classes such as `Cell`, `IndexedCell`, `ListCell`, `TreeCell`, and `TableCell`.

## Uses of TreeTableColumn.CellDataFeatures in javafx.scene.control

Methods in javafx.scene.control that return types with arguments of type TreeTableColumn.CellDataFeatures
Modifier and Type
Method
Description
`final ObjectProperty<Callback<TreeTableColumn.CellDataFeatures<S,T>,ObservableValue<T>>>`
TreeTableColumn.`cellValueFactoryProperty()`
The cell value factory needs to be set to specify how to populate all cells within a single TreeTableColumn.
`final Callback<TreeTableColumn.CellDataFeatures<S,T>,ObservableValue<T>>`
TreeTableColumn.`getCellValueFactory()`
Gets the value of the `cellValueFactory` property.
Method parameters in javafx.scene.control with type arguments of type TreeTableColumn.CellDataFeatures
Modifier and Type
Method
Description
`final void`
TreeTableColumn.`setCellValueFactory(Callback<TreeTableColumn.CellDataFeatures<S,T>,ObservableValue<T>> value)`
Sets the value of the `cellValueFactory` property.

## Uses of TreeTableColumn.CellDataFeatures in javafx.scene.control.cell

Methods in javafx.scene.control.cell with parameters of type TreeTableColumn.CellDataFeatures
Modifier and Type
Method
Description
`ObservableValue<T>`
TreeItemPropertyValueFactory.`call(TreeTableColumn.CellDataFeatures<S,T> param)`
The `call` method is called when required, and is given a single argument of type P, with a requirement that an object of type R is returned.